[syslinux] SYSLINUX-3.52-pre5: XP BOOTSEC.BIN Bug

H. Peter Anvin hpa at zytor.com
Sat Aug 11 22:27:35 PDT 2007

Duke McAllister wrote:
> I just encountered my only bug w/ the ISOLINUX+VESAMENU combination 
> from 3.52-pre5.  Updated a *working* CD project w/ the new 
> ISOLINUX+VESAMENU combo just last week.  Booting my preferred Linux 
> distro (Slax-6) from my custom CDs work perfectly, however when I 
> updated a CD project that includes BartPE/WinPE, BartPE fails to 
> boot w/ 'CDBoot can not boot CD: error 4" msg.  For the record, the 
> stanza that fails:
> ####
> LABEL bartpe
> Boot the ultimate power tool for repairing Windows 2K/XP/2K3/Vista....
> ####
> I realized almost immediately what was wrong and rolled back to the 
> modules from 3.50 and the boot error went away.  In anticipation of 
> pos follow-up questions:  did not forget the -boot-info-table 
> option;  problem isn't media-related as I was testing under VMWare; 
> generating ISOs w/ UltraISO (reliably for *many* months now.)

Interesting... *huge* thanks for the heads-up.  I will look into this.

Would it be possible to give me access to your CD image?


More information about the Syslinux mailing list